- Qt 6.8
- Qt GUI
- C++ Classes
- QFocusEvent
- Qt 6.8.2 Reference Documentation

# QFocusEvent Class

The QFocusEvent class contains event parameters for widget focus events. More...

Header: | `#include <QFocusEvent>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Inherits: | QEvent

- List of all members, including inherited members
- QFocusEvent is part of Event Classes.

## Public Functions

| QFocusEvent(QEvent::Type type, Qt::FocusReason reason = Qt::OtherFocusReason)
bool | gotFocus() const
bool | lostFocus() const
Qt::FocusReason | reason() const

## Detailed Description

Focus events are sent to widgets when the keyboard input focus changes. Focus events occur due to mouse actions, key presses (such as Tab or Backtab), the window system, popup menus, keyboard shortcuts, or other application-specific reasons. The reason for a particular focus event is returned by reason() in the appropriate event handler.

The event handlers QWidget::focusInEvent(), QWidget::focusOutEvent(), QGraphicsItem::focusInEvent and QGraphicsItem::focusOutEvent() receive focus events.

See also QWidget::setFocus(), QWidget::setFocusPolicy(), and Keyboard Focus in Widgets.

## Member Function Documentation

### `[explicit]` QFocusEvent::QFocusEvent(QEvent::Type type, Qt::FocusReason reason = Qt::OtherFocusReason)

Constructs a focus event object.

The type parameter must be either QEvent::FocusIn or QEvent::FocusOut. The reason describes the cause of the change in focus.

### bool QFocusEvent::gotFocus() const

Returns `true` if type() is QEvent::FocusIn; otherwise returns false.

### bool QFocusEvent::lostFocus() const

Returns `true` if type() is QEvent::FocusOut; otherwise returns false.

### Qt::FocusReason QFocusEvent::reason() const

Returns the reason for this focus event.